@echo off
echo.
echo. 
echo.           Ninja Commandoes   
echo.           
echo.           See the readme file
echo.           if you need to.
echo.
echo.           
pause
if exist memfail del memfail
if exist pend del pend >nul
memc
if exist memfail goto memfailexit
:uexist
:normalmenu
if exist pend del pend >nul
pnocomp f pdata c %1 %2 %3 %4 %5 >p.out
if errorlevel 1 goto errorexit
if exist pend goto gamefin
goto gamefin
:errorexit
if exist vid.com vid
if not exist vid.com mode co80 >nul
if exist memfail goto memfailexit
echo ...
echo . Program Errors have occured.  
echo . Save the file p.out which has the error information for us.
type . p.out
goto realexit
:memfailexit
@echo 
echo   Error:  Do to insufficient or improperly configured memory you cannot
echo   run the game.  Please refer to the memory report
echo   below to get more info about what memory you need more of.
@echo 
copy memfail con
goto realexit
:exit  
if exist vid.com vid
if not exist vid.com mode co80 >nul
:gamefin
echo.
echo.       You were killed! Try again.
echo.
:realexit
echo.       Ninja Commandoes
echo.
echo.       (c) 1995 Scott Douglas
echo.
echo.       The author thanks you for playing this game.
echo.       If you'd like to see more budget games PLEASE
echo.       send a measly 1.00 to the address listed below.
echo.       My family and I thank you for your support.  
echo.     
echo.
echo.       Scott Douglas
echo.       42 Woodlawn Rd.
echo.       Burlington, Vermont 05401
echo.
echo. 

